Subject: Re: [PATCH 2.6.17 4/9] NetXen: intr routines and niu handling

From: "Amit S. Kale" <[email-masked]>
Date: Mon, 21 Aug 2006 14:10:34 +0530

On Friday 18 August 2006 20:52, Stephen Hemminger wrote:
>
> Why keep track of statistics in one structure then copy out to net_device
> format? Instead just use original format.

net_device structure contains "unsigned long" fields. netxen_port_stats 
contains u64 fields. rx_bytes and tx_bytes can easily overflow for 10G cards.

ethtool_status contains u64 stats; is it a good time to make net_device_stats 
64 bit?

-Amit